# Created by pyp2rpm-3.3.3
%global pypi_name cwiid

Name:           python-%{pypi_name}
Version:        3.0.0
Release:        %mkrel 3
Summary:        Python3 module for libcwiid
Group:          Development/Python
License:        GPLv2+
URL:            https://github.com/azzra/python3-wiimote
Source0:        https://files.pythonhosted.org/packages/source/c/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
Patch1:         0001-Fixed-segfault-on-Py_DECREF-see-https-github.com-azz.patch
Patch2:         0002-Fix-compile-error-return-without-value-7-8.patch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:	cwiid-devel

%description
Port of python-cwiid compatible with Python3.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Port of python-cwiid compatible with Python3.

%prep
%autosetup -n %{pypi_name}-%{version} -p2

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%{python3_sitearch}/cwiid.*.so
%{python3_sitearch}/%{pypi_name}-%{version}-py%{python3_version}.egg-info


%changelog
* Thu Feb 20 2020 umeabot <umeabot> 3.0.0-3.mga8
+ Revision: 1546291
- Mageia 8 Mass Rebuild

* Sat Feb 01 2020 wally <wally> 3.0.0-2.mga8
+ Revision: 1486294
- add patches from upstream

* Sat Feb 01 2020 wally <wally> 3.0.0-1.mga8
+ Revision: 1486286
- imported package python-cwiid

